Subject: bug#13154: 24.3.50; emacs_backtrace.txt (different one)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Dec 2012 09:47:52 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Thu, 13 Dec 2012 13:16:03 -0800
> 
> FWIW, it's not clear to me that `w-o-t-t-b' inside `s-e' is "evil".  It might be
> ineffectual in some contexts, in the sense that it might not do what some users
> mistakenly might expect, but - for my own understanding - just why do you
> consider it evil?

Martin will probably tell, but in any case I don't think this is
related to the abort we are discussing.

> * I found an occurrence in my version of `describe-function', which is based on
> the vanilla Emacs 22 version in this respect.  It has to work for 22+, and 22
> does not have macro `with-help-window'.  (Yes, I could duplicate the code and
> have a version for Emacs 23+...)  In my own help commands (`describe-file',
> `describe-keymap'), I do not use `save-excursion.
> 
> * I found one other occurrence of `with-output-to-temp-buffer' inside
> `save-excursion', but that code is used only when running Emacs 22, and it is a
> copy of the vanilla Emacs 22 code (for `describe-text-properties').  IOW, the
> fault is with vanilla Emacs in this case, and this case cannot be manifested in
> Emacs 24 anyway.

We are looking for Lisp code that would show calls to some primitives,
wherein we could look for potential bugs on the C level.  Does the
body of Lisp code inside save-excursion in the first occurrence call
any primitives, or any functions at all?  If so, can you show that
body?